classification
Title: fix layout to generate documentation for Qt Assistant
Type: Stage:
Components: Documentation Versions: Python 3.1, Python 3.2, Python 3.3, Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, georg.brandl, python-dev, shackra
Priority: normal Keywords:

Created on 2014-03-24 01:58 by shackra, last changed 2014-03-26 07:20 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
V6cXI.png shackra, 2014-03-24 01:58
Messages (4)
msg214664 - (view) Author: Jorge Araya Navarro (shackra) Date: 2014-03-24 01:58
Python use sphinx to generate its documentation, sphinx can generate documentation for Qt Assistant using the qthelp builder (and `qcollectiongenerator build/qthelp/Python.qhcp`). The thing is that using the default layout or static css files, the final results look very bad, and changing its theme doesn't help either.
msg214795 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-03-25 09:13
New changeset d6831d94dd1e by Georg Brandl in branch '2.7':
Closes #21045: make the Qt help build not look completely stupid
http://hg.python.org/cpython/rev/d6831d94dd1e
msg214796 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-03-25 09:13
New changeset 2a6c33592e40 by Georg Brandl in branch '3.4':
Closes #21045: make the Qt help build not look completely stupid
http://hg.python.org/cpython/rev/2a6c33592e40
msg214880 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2014-03-26 07:18
Thanks for the report!
History
Date User Action Args
2014-03-26 07:20:24georg.brandlsetstatus: open -> closed
resolution: fixed
2014-03-26 07:18:57georg.brandlsetstatus: closed -> open

nosy: + georg.brandl
messages: + msg214880

resolution: fixed -> (no value)
stage: resolved ->
2014-03-25 09:13:56python-devsetmessages: + msg214796
2014-03-25 09:13:10python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg214795

resolution: fixed
stage: resolved
2014-03-24 01:58:44shackracreate